# Interface DSAKey

All Known Subinterfaces:
  `DSAPrivateKey, DSAPublicKey`

public interface DSAKey
The interface to a DSA public or private key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

Since:
  1.1
See Also:
  - `DSAParams`
  - `Key`
  - `Signature`

## Method Summary

Modifier and Type
Method
Description
`DSAParams`
`getParams()`
Returns the DSA-specific key parameters.

## Method Details

### getParams

DSAParams getParams()
Returns the DSA-specific key parameters. These parameters are never secret.

Returns:
  the DSA-specific key parameters.
See Also:
  - `DSAParams`